package com.ruoyi.web.modules.goods.domain;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 商品快递运费 biz_goods_freight
 */
public class BizGoodsFreight
{
    private Long goodsId;

    private String freightType;

    private BigDecimal fixedAmount;

    private Long freightTemplateId;

    private String delFlag;

    private Date createTime;

    private Date updateTime;

    public Long getGoodsId()
    {
        return goodsId;
    }

    public void setGoodsId(Long goodsId)
    {
        this.goodsId = goodsId;
    }

    public String getFreightType()
    {
        return freightType;
    }

    public void setFreightType(String freightType)
    {
        this.freightType = freightType;
    }

    public BigDecimal getFixedAmount()
    {
        return fixedAmount;
    }

    public void setFixedAmount(BigDecimal fixedAmount)
    {
        this.fixedAmount = fixedAmount;
    }

    public Long getFreightTemplateId()
    {
        return freightTemplateId;
    }

    public void setFreightTemplateId(Long freightTemplateId)
    {
        this.freightTemplateId = freightTemplateId;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public Date getCreateTime()
    {
        return createTime;
    }

    public void setCreateTime(Date createTime)
    {
        this.createTime = createTime;
    }

    public Date getUpdateTime()
    {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime)
    {
        this.updateTime = updateTime;
    }
}
